tinymce.PluginManager.add('onflinks', function(editor, url) {

	editor.addButton('onflinks', {
		icon: 'cloud-check',
		tooltip: "Insert internal link",
		image: '/--static--/onf_website/img/external.png',
		onclick: function() {
			editor.windowManager.open({
				title: "Insert internal link",
				body: [
					{type: 'textbox', name: 'title', label: 'Link title', value: editor.selection.getContent()},
					{type: 'textbox', name: 'oid', label:'Internal number'}
				],
				onsubmit: function(e) {
					editor.insertContent('<a href="oid://' + e.data.oid + '">' + e.data.title + '</a>');
				}
			});
		}
	})
});
